Subject: Re: bug#75886: 31.0.50; read-multiple-choice / read-key and input-decode-map

From: Stefan Monnier <[email-masked]>
Date: Tue, 04 Feb 2025 08:40:19 -0500

>>> Should read-key be changed to signal quit?
>> I think this would break the use of `C-g` to exit from the minibuffer.
> Too bad :-(.

Of course, there's probably some way to fix the breakage, but basically,
it's a non-trivial change messing with a "delicate" issue (meaning one
where we currently have an undocumented balance of behaviors accumulated
over the years, and we're not even aware of it).

> Do you mind if I replace read-event with read-key in
> read-multiple-choice?

Not at all!

> Maybe it sticks if I put a prominent comments why.

I suggest you add a test for it as well (ideally in a separate commit so
`git revert` won't remove the test).

        Stefan